Project

Profile

Help

Issue #1742

Error in the log after upgrade

Added by pthomas@redhat.com over 4 years ago. Updated over 1 year ago.

Status:
CLOSED - CURRENTRELEASE
Priority:
High
Assignee:
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
Estimated time:
Severity:
3. High
Version:
Platform Release:
2.8.0
OS:
Triaged:
Yes
Groomed:
No
Sprint Candidate:
No
Tags:
Pulp 2
Sprint:
Quarter:

Description

Seeing error in the log after upgrade

Steps
1. Set up 2.7 with consumers registered & repos with sync schedule
2. Upgrade to 2.8
3. Run migration & restart all the services
3. Watch the log


[root@rhsm-jenkins ~]# rpm -qa |grep pulp
python-pulp-client-lib-2.8.0-0.7.beta.el6.noarch
pulp-server-2.8.0-0.7.beta.el6.noarch
pulp-rpm-admin-extensions-2.8.0-0.7.beta.el6.noarch
python-pulp-agent-lib-2.8.0-0.7.beta.el6.noarch
pulp-agent-2.8.0-0.7.beta.el6.noarch
python-pulp-common-2.8.0-0.7.beta.el6.noarch
python-pulp-rpm-common-2.8.0-0.7.beta.el6.noarch
pulp-admin-client-2.8.0-0.7.beta.el6.noarch
python-pulp-oid_validation-2.8.0-0.7.beta.el6.noarch
pulp-rpm-plugins-2.8.0-0.7.beta.el6.noarch
pulp-docker-admin-extensions-2.0.0-0.7.beta.el6.noarch
pulp-rpm-consumer-extensions-2.8.0-0.7.beta.el6.noarch
pulp-rpm-yumplugins-2.8.0-0.7.beta.el6.noarch
python-isodate-0.5.0-4.pulp.el6.noarch
mod_wsgi-3.4-2.pulp.el6.x86_64
python-pulp-bindings-2.8.0-0.7.beta.el6.noarch
python-pulp-puppet-common-2.8.0-0.7.beta.el6.noarch
python-pulp-docker-common-2.0.0-0.7.beta.el6.noarch
pulp-puppet-plugins-2.8.0-0.7.beta.el6.noarch
pulp-puppet-admin-extensions-2.8.0-0.7.beta.el6.noarch
pulp-rpm-handlers-2.8.0-0.7.beta.el6.noarch
pulp-selinux-2.8.0-0.7.beta.el6.noarch
python-pulp-repoauth-2.8.0-0.7.beta.el6.noarch
python-kombu-3.0.33-4.pulp.el6.noarch
pulp-puppet-handlers-2.8.0-0.7.beta.el6.noarch
pulp-consumer-client-2.8.0-0.7.beta.el6.noarch
pulp-docker-plugins-2.0.0-0.7.beta.el6.noarch
pulp-puppet-consumer-extensions-2.8.0-0.7.beta.el6.noarch
[root@rhsm-jenkins ~]# 

==================================================
Mar  4 10:18:00 rhsm-jenkins pulp: celery.beat:INFO: Scheduler: Sending due task 56d8a4ccb9416432143463d5 (pulp.server.tasks.repository.sync_with_auto_publish)
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) Received unregistered task of type u'pulp.server.tasks.repository.sync_with_auto_publish'.
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) The message has been ignored and discarded.
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) 
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) Did you remember to import the module containing this task?
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) Or maybe you are using relative imports?
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) Please see http://bit.ly/gLye1c for more information.
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) 
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) The full contents of the message body was:
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) {u'utc': True, u'chord': None, u'args': [u'zoo'], u'retries': 0, u'expires': None, u'task': u'pulp.server.tasks.repository.sync_with_auto_publish', u'callbacks': None, u'errbacks': None, u'timelimit': [None, None], u'taskset': None, u'kwargs': {u'overrides': {}, u'scheduled_call_id': u'56d8a4ccb9416432143463d5'}, u'eta': None, u'id': u'4ec5beb0-cd1e-4d66-b2d0-9a3d8d607206'} (357b)
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) 
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) Traceback (most recent call last):
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160)   File "/usr/lib/python2.6/site-packages/celery/worker/consumer.py", line 455, in on_task_received
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160)     strategies[name](message, body,
Mar  4 10:18:00 rhsm-jenkins pulp: celery.worker.consumer:ERROR: (17592-68160) KeyError: u'pulp.server.tasks.repository.sync_with_auto_publish'

Associated revisions

Revision be51a35b View on GitHub
Added by bmbouter over 4 years ago

Specifies the queue_sync_with_auto_publish celery task name

In commit cb99aa95 the task named sync_with_auto_publish was deleted and was intented to have all usage switch to queue_sync_with_auto_publish. This works for everything except saved scheduled call database records which expect to call the original task by name.

This updates the task name so when the old records call the task by name it will still work. All other usage dispatches using the object queue_sync_with_auto_publish and not by name so this will continue to work with the existing new code. Also new scheduled calls save into the db by looking up the task name, so newly created schedule calls will save into the db just like the old ones did with this change also.

https://pulp.plan.io/issues/1742 closes #1742

Revision be51a35b View on GitHub
Added by bmbouter over 4 years ago

Specifies the queue_sync_with_auto_publish celery task name

In commit cb99aa95 the task named sync_with_auto_publish was deleted and was intented to have all usage switch to queue_sync_with_auto_publish. This works for everything except saved scheduled call database records which expect to call the original task by name.

This updates the task name so when the old records call the task by name it will still work. All other usage dispatches using the object queue_sync_with_auto_publish and not by name so this will continue to work with the existing new code. Also new scheduled calls save into the db by looking up the task name, so newly created schedule calls will save into the db just like the old ones did with this change also.

https://pulp.plan.io/issues/1742 closes #1742

History

#1 Updated by amacdona@redhat.com over 4 years ago

I think this is caused by not shutting down all pulp services before upgrade, but it also shows that I renamed the Task incorrectly in the mongoengine conversion.

This seems like low severity to me, but its worth noting that if we don't fix it by 2.8.0, fixing it in 2.8.1 would cause this same error again. So either we fix it now or we should close-wontfix.

https://github.com/pulp/pulp/blob/master/server/pulp/server/controllers/repository.py#L704
https://github.com/pulp/pulp/commit/cb99aa9588ef14afb85ce67c6e1e425da1966af7#diff-713f0736243a3102f46a650b5a67843aL186

#2 Updated by pthomas@redhat.com over 4 years ago

Here is a log of everything I did

[root@rhsm-jenkins ~]# for s in {goferd,httpd,pulp_workers,pulp_celerybeat,pulp_resource_manager}; do service $s stop; done
Stopping goferd[  OK  ]
Stopping httpd: [  OK  ]
celery init v10.0.
Using config script: /etc/default/pulp_workers
celery multi v3.1.11 (Cipater)
> Stopping nodes...
    > reserved_resource_worker-6@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13598
    > reserved_resource_worker-14@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13826
    > reserved_resource_worker-23@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 14091
    > reserved_resource_worker-11@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13739
    > reserved_resource_worker-19@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13970
    > reserved_resource_worker-5@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13565
    > reserved_resource_worker-16@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13884
    > reserved_resource_worker-12@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13772
    > reserved_resource_worker-7@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13623
    > reserved_resource_worker-13@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13801
    > reserved_resource_worker-18@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13944
    > reserved_resource_worker-0@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13424
    > reserved_resource_worker-15@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13855
    > reserved_resource_worker-8@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13652
    > reserved_resource_worker-3@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13508
    > reserved_resource_worker-10@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13710
    > reserved_resource_worker-21@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 14033
    > reserved_resource_worker-2@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13478
    > reserved_resource_worker-20@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13996
    > reserved_resource_worker-4@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13536
    > reserved_resource_worker-9@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13681
    > reserved_resource_worker-17@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13913
    > reserved_resource_worker-1@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 13449
    > reserved_resource_worker-22@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 14062
> Waiting for 24 nodes -> 13598, 13826, 14091, 13739, 13970, 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062............................
    > reserved_resource_worker-6@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 23 nodes -> 13826, 14091, 13739, 13970, 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-14@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 22 nodes -> 14091, 13739, 13970, 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-23@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 21 nodes -> 13739, 13970, 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-11@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 20 nodes -> 13970, 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-19@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 19 nodes -> 13565, 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-5@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 18 nodes -> 13884, 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-16@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 17 nodes -> 13772, 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-12@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 16 nodes -> 13623, 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-7@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 15 nodes -> 13801, 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-13@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 14 nodes -> 13944, 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-18@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 13 nodes -> 13424, 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-0@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 12 nodes -> 13855, 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-15@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 11 nodes -> 13652, 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-8@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 10 nodes -> 13508, 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-3@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 9 nodes -> 13710, 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-10@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 8 nodes -> 14033, 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-21@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 7 nodes -> 13478, 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-2@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 6 nodes -> 13996, 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-20@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 5 nodes -> 13536, 13681, 13913, 13449, 14062....
    > reserved_resource_worker-4@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 4 nodes -> 13681, 13913, 13449, 14062....
    > reserved_resource_worker-9@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 3 nodes -> 13913, 13449, 14062....
    > reserved_resource_worker-17@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 2 nodes -> 13449, 14062....
    > reserved_resource_worker-1@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
> Waiting for 1 node -> 14062....
    > reserved_resource_worker-22@rhsm-jenkins.lab.eng.rdu.redhat.com: OK

celery init v10.0.
Using configuration: /etc/default/pulp_workers, /etc/default/pulp_celerybeat
Stopping pulp_celerybeat... OK
celery init v10.0.
Using config script: /etc/default/pulp_resource_manager
celery multi v3.1.11 (Cipater)
> Stopping nodes...
    > resource_manager@rhsm-jenkins.lab.eng.rdu.redhat.com: QUIT -> 14254
> Waiting for 1 node -> 14254.....
    > resource_manager@rhsm-jenkins.lab.eng.rdu.redhat.com: OK

[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# vi /etc/yum.repos.d/rhel-pulp.repo 
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# yum update
Loaded plugins: product-id, pulp-profile-update, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Setting up Update Process
beaker-HighAvailability                                  | 4.1 kB     00:00     
beaker-LoadBalancer                                      | 4.1 kB     00:00     
beaker-ResilientStorage                                  | 4.1 kB     00:00     
beaker-ScalableFileSystem                                | 4.1 kB     00:00     
beaker-Server                                            | 4.1 kB     00:00     
beaker-Server-SAP                                        | 4.1 kB     00:00     
beaker-Server-SAP-debuginfo                              | 3.0 kB     00:00     
beaker-Server-SAPHANA                                    | 3.8 kB     00:00     
beaker-Server-SAPHANA-debuginfo                          | 3.0 kB     00:00     
beaker-Server-debuginfo                                  | 3.0 kB     00:00     
beaker-Server-optional                                   | 3.8 kB     00:00     
beaker-Server-optional-debuginfo                         | 3.0 kB     00:00     
beaker-harness                                           | 1.3 kB     00:00     
beaker-tasks                                             | 1.3 kB     00:00     
epel/metalink                                            |  13 kB     00:00     
epel                                                     | 4.3 kB     00:00     
epel/primary_db                                          | 5.8 MB     00:00     
group_qpid-qpid                                          | 3.5 kB     00:00     
pulp-2.8-beta                                            | 3.6 kB     00:00     
pulp-2.8-beta/primary_db                                 |  27 kB     00:00     
https://rhsm-jenkins.lab.eng.rdu.redhat.com/pulp/repos/repos/pulp/pulp/demo_repos/zoo/repodata/repomd.xml: [Errno 14] PYCURL ERROR 7 - "couldn't connect to host"
Trying other mirror.
Resolving Dependencies
--> Running transaction check
---> Package gofer.noarch 0:2.6.6-2.el6 will be updated
---> Package gofer.noarch 0:2.7.5-1.el6 will be an update
---> Package pulp-admin-client.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-admin-client.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-agent.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-agent.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-consumer-client.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-consumer-client.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-docker-admin-extensions.noarch 0:1.0.2-1.el6 will be updated
---> Package pulp-docker-admin-extensions.noarch 0:2.0.0-0.7.beta.el6 will be an update
---> Package pulp-docker-plugins.noarch 0:1.0.2-1.el6 will be updated
---> Package pulp-docker-plugins.noarch 0:2.0.0-0.7.beta.el6 will be an update
---> Package pulp-puppet-admin-extensions.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-puppet-admin-extensions.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-puppet-consumer-extensions.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-puppet-consumer-extensions.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-puppet-handlers.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-puppet-handlers.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-puppet-plugins.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-puppet-plugins.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-rpm-admin-extensions.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-rpm-admin-extensions.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-rpm-consumer-extensions.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-rpm-consumer-extensions.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-rpm-handlers.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-rpm-handlers.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-rpm-plugins.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-rpm-plugins.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-rpm-yumplugins.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-rpm-yumplugins.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-selinux.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-selinux.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package pulp-server.noarch 0:2.7.1-1.el6 will be updated
---> Package pulp-server.noarch 0:2.8.0-0.7.beta.el6 will be an update
--> Processing Dependency: mod_xsendfile >= 0.12 for package: pulp-server-2.8.0-0.7.beta.el6.noarch
---> Package python-amqp.noarch 0:1.4.6-1.el6 will be updated
---> Package python-amqp.noarch 0:1.4.9-1.el6 will be an update
---> Package python-bson.x86_64 0:2.7.2-1.el6 will be updated
---> Package python-bson.x86_64 0:3.2-1.el6 will be an update
---> Package python-gofer.noarch 0:2.6.6-2.el6 will be updated
---> Package python-gofer.noarch 0:2.7.5-1.el6 will be an update
---> Package python-gofer-qpid.noarch 0:2.6.6-2.el6 will be updated
---> Package python-gofer-qpid.noarch 0:2.7.5-1.el6 will be an update
---> Package python-kombu.noarch 1:3.0.24-10.pulp.el6 will be updated
---> Package python-kombu.noarch 1:3.0.33-4.pulp.el6 will be an update
---> Package python-mongoengine.noarch 0:0.9.0-1.el6 will be updated
---> Package python-mongoengine.noarch 0:0.10.5-1.el6 will be an update
---> Package python-nectar.noarch 0:1.3.3-1.el6 will be updated
---> Package python-nectar.noarch 0:1.5.0-1.el6 will be an update
--> Processing Dependency: python-requests-toolbelt >= 0.6.0 for package: python-nectar-1.5.0-1.el6.noarch
---> Package python-pulp-agent-lib.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-agent-lib.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-bindings.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-bindings.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-client-lib.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-client-lib.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-common.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-common.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-docker-common.noarch 0:1.0.2-1.el6 will be updated
---> Package python-pulp-docker-common.noarch 0:2.0.0-0.7.beta.el6 will be an update
---> Package python-pulp-oid_validation.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-oid_validation.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-puppet-common.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-puppet-common.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-repoauth.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-repoauth.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pulp-rpm-common.noarch 0:2.7.1-1.el6 will be updated
---> Package python-pulp-rpm-common.noarch 0:2.8.0-0.7.beta.el6 will be an update
---> Package python-pymongo.x86_64 0:2.7.2-1.el6 will be updated
---> Package python-pymongo.x86_64 0:3.2-1.el6 will be an update
---> Package python-pymongo-gridfs.x86_64 0:2.7.2-1.el6 will be updated
---> Package python-pymongo-gridfs.x86_64 0:3.2-1.el6 will be an update
---> Package python-semantic-version.noarch 0:2.2.0-3.el6 will be obsoleted
---> Package python-semantic_version.noarch 0:2.2.0-6.el6 will be obsoleting
--> Running transaction check
---> Package mod_xsendfile.x86_64 0:0.12-3.el6 will be installed
---> Package python-requests-toolbelt.noarch 0:0.6.0-1.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                         Arch   Version             Repository     Size
================================================================================
Installing:
 python-semantic_version         noarch 2.2.0-6.el6         pulp-2.8-beta  17 k
     replacing  python-semantic-version.noarch 2.2.0-3.el6
Updating:
 gofer                           noarch 2.7.5-1.el6         pulp-2.8-beta  84 k
 pulp-admin-client               noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 125 k
 pulp-agent                      noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  73 k
 pulp-consumer-client            noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  87 k
 pulp-docker-admin-extensions    noarch 2.0.0-0.7.beta.el6  pulp-2.8-beta  41 k
 pulp-docker-plugins             noarch 2.0.0-0.7.beta.el6  pulp-2.8-beta  80 k
 pulp-puppet-admin-extensions    noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  50 k
 pulp-puppet-consumer-extensions noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  24 k
 pulp-puppet-handlers            noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  30 k
 pulp-puppet-plugins             noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 102 k
 pulp-rpm-admin-extensions       noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 145 k
 pulp-rpm-consumer-extensions    noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  47 k
 pulp-rpm-handlers               noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  71 k
 pulp-rpm-plugins                noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 294 k
 pulp-rpm-yumplugins             noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  44 k
 pulp-selinux                    noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  81 k
 pulp-server                     noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 810 k
 python-amqp                     noarch 1.4.9-1.el6         pulp-2.8-beta  88 k
 python-bson                     x86_64 3.2-1.el6           pulp-2.8-beta 193 k
 python-gofer                    noarch 2.7.5-1.el6         pulp-2.8-beta 133 k
 python-gofer-qpid               noarch 2.7.5-1.el6         pulp-2.8-beta  53 k
 python-kombu                    noarch 1:3.0.33-4.pulp.el6 pulp-2.8-beta 517 k
 python-mongoengine              noarch 0.10.5-1.el6        pulp-2.8-beta 429 k
 python-nectar                   noarch 1.5.0-1.el6         pulp-2.8-beta  45 k
 python-pulp-agent-lib           noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  91 k
 python-pulp-bindings            noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 110 k
 python-pulp-client-lib          noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 202 k
 python-pulp-common              noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta 122 k
 python-pulp-docker-common       noarch 2.0.0-0.7.beta.el6  pulp-2.8-beta  31 k
 python-pulp-oid_validation      noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  64 k
 python-pulp-puppet-common       noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  32 k
 python-pulp-repoauth            noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  76 k
 python-pulp-rpm-common          noarch 2.8.0-0.7.beta.el6  pulp-2.8-beta  64 k
 python-pymongo                  x86_64 3.2-1.el6           pulp-2.8-beta 377 k
 python-pymongo-gridfs           x86_64 3.2-1.el6           pulp-2.8-beta 148 k
Installing for dependencies:
 mod_xsendfile                   x86_64 0.12-3.el6          epel           14 k
 python-requests-toolbelt        noarch 0.6.0-1.el6         epel           71 k

Transaction Summary
================================================================================
Install       3 Package(s)
Upgrade      35 Package(s)

Total download size: 4.9 M
Is this ok [y/N]: y
Downloading Packages:
(1/38): gofer-2.7.5-1.el6.noarch.rpm                     |  84 kB     00:00     
(2/38): mod_xsendfile-0.12-3.el6.x86_64.rpm              |  14 kB     00:00     
(3/38): pulp-admin-client-2.8.0-0.7.beta.el6.noarch.rpm  | 125 kB     00:00     
(4/38): pulp-agent-2.8.0-0.7.beta.el6.noarch.rpm         |  73 kB     00:00     
(5/38): pulp-consumer-client-2.8.0-0.7.beta.el6.noarch.r |  87 kB     00:00     
(6/38): pulp-docker-admin-extensions-2.0.0-0.7.beta.el6. |  41 kB     00:00     
(7/38): pulp-docker-plugins-2.0.0-0.7.beta.el6.noarch.rp |  80 kB     00:00     
(8/38): pulp-puppet-admin-extensions-2.8.0-0.7.beta.el6. |  50 kB     00:00     
(9/38): pulp-puppet-consumer-extensions-2.8.0-0.7.beta.e |  24 kB     00:00     
(10/38): pulp-puppet-handlers-2.8.0-0.7.beta.el6.noarch. |  30 kB     00:00     
(11/38): pulp-puppet-plugins-2.8.0-0.7.beta.el6.noarch.r | 102 kB     00:00     
(12/38): pulp-rpm-admin-extensions-2.8.0-0.7.beta.el6.no | 145 kB     00:00     
(13/38): pulp-rpm-consumer-extensions-2.8.0-0.7.beta.el6 |  47 kB     00:00     
(14/38): pulp-rpm-handlers-2.8.0-0.7.beta.el6.noarch.rpm |  71 kB     00:00     
(15/38): pulp-rpm-plugins-2.8.0-0.7.beta.el6.noarch.rpm  | 294 kB     00:00     
(16/38): pulp-rpm-yumplugins-2.8.0-0.7.beta.el6.noarch.r |  44 kB     00:00     
(17/38): pulp-selinux-2.8.0-0.7.beta.el6.noarch.rpm      |  81 kB     00:00     
(18/38): pulp-server-2.8.0-0.7.beta.el6.noarch.rpm       | 810 kB     00:00     
(19/38): python-amqp-1.4.9-1.el6.noarch.rpm              |  88 kB     00:00     
(20/38): python-bson-3.2-1.el6.x86_64.rpm                | 193 kB     00:00     
(21/38): python-gofer-2.7.5-1.el6.noarch.rpm             | 133 kB     00:00     
(22/38): python-gofer-qpid-2.7.5-1.el6.noarch.rpm        |  53 kB     00:00     
(23/38): python-kombu-3.0.33-4.pulp.el6.noarch.rpm       | 517 kB     00:00     
(24/38): python-mongoengine-0.10.5-1.el6.noarch.rpm      | 429 kB     00:00     
(25/38): python-nectar-1.5.0-1.el6.noarch.rpm            |  45 kB     00:00     
(26/38): python-pulp-agent-lib-2.8.0-0.7.beta.el6.noarch |  91 kB     00:00     
(27/38): python-pulp-bindings-2.8.0-0.7.beta.el6.noarch. | 110 kB     00:00     
(28/38): python-pulp-client-lib-2.8.0-0.7.beta.el6.noarc | 202 kB     00:00     
(29/38): python-pulp-common-2.8.0-0.7.beta.el6.noarch.rp | 122 kB     00:00     
(30/38): python-pulp-docker-common-2.0.0-0.7.beta.el6.no |  31 kB     00:00     
(31/38): python-pulp-oid_validation-2.8.0-0.7.beta.el6.n |  64 kB     00:00     
(32/38): python-pulp-puppet-common-2.8.0-0.7.beta.el6.no |  32 kB     00:00     
(33/38): python-pulp-repoauth-2.8.0-0.7.beta.el6.noarch. |  76 kB     00:00     
(34/38): python-pulp-rpm-common-2.8.0-0.7.beta.el6.noarc |  64 kB     00:00     
(35/38): python-pymongo-3.2-1.el6.x86_64.rpm             | 377 kB     00:00     
(36/38): python-pymongo-gridfs-3.2-1.el6.x86_64.rpm      | 148 kB     00:00     
(37/38): python-requests-toolbelt-0.6.0-1.el6.noarch.rpm |  71 kB     00:00     
(38/38): python-semantic_version-2.2.0-6.el6.noarch.rpm  |  17 kB     00:00     
--------------------------------------------------------------------------------
Total                                           2.7 MB/s | 4.9 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating   : python-pulp-common-2.8.0-0.7.beta.el6.noarch                1/74 
  Updating   : python-pulp-bindings-2.8.0-0.7.beta.el6.noarch              2/74 
  Updating   : python-gofer-2.7.5-1.el6.noarch                             3/74 
  Updating   : python-pulp-agent-lib-2.8.0-0.7.beta.el6.noarch             4/74 
  Updating   : python-pulp-rpm-common-2.8.0-0.7.beta.el6.noarch            5/74 
  Updating   : python-pulp-puppet-common-2.8.0-0.7.beta.el6.noarch         6/74 
  Updating   : python-pulp-client-lib-2.8.0-0.7.beta.el6.noarch            7/74 
  Updating   : pulp-consumer-client-2.8.0-0.7.beta.el6.noarch              8/74 
warning: /etc/pulp/consumer/consumer.conf created as /etc/pulp/consumer/consumer.conf.rpmnew
  Updating   : pulp-admin-client-2.8.0-0.7.beta.el6.noarch                 9/74 
  Updating   : python-pulp-docker-common-2.0.0-0.7.beta.el6.noarch        10/74 
  Updating   : python-pulp-repoauth-2.8.0-0.7.beta.el6.noarch             11/74 
  Installing : python-semantic_version-2.2.0-6.el6.noarch                 12/74 
  Updating   : python-pulp-oid_validation-2.8.0-0.7.beta.el6.noarch       13/74 
  Updating   : gofer-2.7.5-1.el6.noarch                                   14/74 
  Installing : mod_xsendfile-0.12-3.el6.x86_64                            15/74 
  Updating   : python-amqp-1.4.9-1.el6.noarch                             16/74 
  Updating   : python-bson-3.2-1.el6.x86_64                               17/74 
  Updating   : python-pymongo-3.2-1.el6.x86_64                            18/74 
  Updating   : python-pymongo-gridfs-3.2-1.el6.x86_64                     19/74 
  Updating   : python-mongoengine-0.10.5-1.el6.noarch                     20/74 
  Installing : python-requests-toolbelt-0.6.0-1.el6.noarch                21/74 
  Updating   : python-nectar-1.5.0-1.el6.noarch                           22/74 
  Updating   : pulp-server-2.8.0-0.7.beta.el6.noarch                      23/74 
  Updating   : pulp-docker-plugins-2.0.0-0.7.beta.el6.noarch              24/74 
  Updating   : pulp-rpm-plugins-2.8.0-0.7.beta.el6.noarch                 25/74 
  Updating   : pulp-puppet-plugins-2.8.0-0.7.beta.el6.noarch              26/74 
  Updating   : 1:python-kombu-3.0.33-4.pulp.el6.noarch                    27/74 
  Updating   : pulp-agent-2.8.0-0.7.beta.el6.noarch                       28/74 
  Updating   : pulp-docker-admin-extensions-2.0.0-0.7.beta.el6.noarch     29/74 
  Updating   : pulp-puppet-admin-extensions-2.8.0-0.7.beta.el6.noarch     30/74 
  Updating   : pulp-rpm-admin-extensions-2.8.0-0.7.beta.el6.noarch        31/74 
  Updating   : pulp-puppet-consumer-extensions-2.8.0-0.7.beta.el6.noarc   32/74 
  Updating   : pulp-rpm-consumer-extensions-2.8.0-0.7.beta.el6.noarch     33/74 
  Updating   : pulp-rpm-handlers-2.8.0-0.7.beta.el6.noarch                34/74 
  Updating   : pulp-puppet-handlers-2.8.0-0.7.beta.el6.noarch             35/74 
  Updating   : python-gofer-qpid-2.7.5-1.el6.noarch                       36/74 
  Updating   : pulp-rpm-yumplugins-2.8.0-0.7.beta.el6.noarch              37/74 
  Updating   : pulp-selinux-2.8.0-0.7.beta.el6.noarch                     38/74 
  Cleanup    : pulp-agent-2.7.1-1.el6.noarch                              39/74 
  Cleanup    : pulp-puppet-plugins-2.7.1-1.el6.noarch                     40/74 
  Cleanup    : pulp-rpm-plugins-2.7.1-1.el6.noarch                        41/74 
  Cleanup    : pulp-docker-plugins-1.0.2-1.el6.noarch                     42/74 
  Cleanup    : pulp-server-2.7.1-1.el6.noarch                             43/74 
  Cleanup    : pulp-docker-admin-extensions-1.0.2-1.el6.noarch            44/74 
  Cleanup    : pulp-puppet-admin-extensions-2.7.1-1.el6.noarch            45/74 
  Cleanup    : python-mongoengine-0.9.0-1.el6.noarch                      46/74 
  Cleanup    : pulp-rpm-handlers-2.7.1-1.el6.noarch                       47/74 
  Cleanup    : pulp-puppet-handlers-2.7.1-1.el6.noarch                    48/74 
  Cleanup    : pulp-puppet-consumer-extensions-2.7.1-1.el6.noarch         49/74 
  Cleanup    : pulp-rpm-admin-extensions-2.7.1-1.el6.noarch               50/74 
  Cleanup    : pulp-admin-client-2.7.1-1.el6.noarch                       51/74 
  Cleanup    : python-pulp-rpm-common-2.7.1-1.el6.noarch                  52/74 
  Cleanup    : python-pulp-puppet-common-2.7.1-1.el6.noarch               53/74 
  Cleanup    : python-pulp-agent-lib-2.7.1-1.el6.noarch                   54/74 
  Cleanup    : python-pymongo-gridfs-2.7.2-1.el6.x86_64                   55/74 
  Cleanup    : python-pymongo-2.7.2-1.el6.x86_64                          56/74 
  Cleanup    : python-pulp-docker-common-1.0.2-1.el6.noarch               57/74 
  Cleanup    : python-pulp-oid_validation-2.7.1-1.el6.noarch              58/74 
  Cleanup    : python-pulp-repoauth-2.7.1-1.el6.noarch                    59/74 
  Cleanup    : gofer-2.6.6-2.el6.noarch                                   60/74 
  Cleanup    : pulp-rpm-consumer-extensions-2.7.1-1.el6.noarch            61/74 
  Cleanup    : pulp-consumer-client-2.7.1-1.el6.noarch                    62/74 
  Cleanup    : python-pulp-client-lib-2.7.1-1.el6.noarch                  63/74 
  Cleanup    : pulp-rpm-yumplugins-2.7.1-1.el6.noarch                     64/74 
  Cleanup    : python-pulp-bindings-2.7.1-1.el6.noarch                    65/74 
  Cleanup    : python-gofer-qpid-2.6.6-2.el6.noarch                       66/74 
  Cleanup    : 1:python-kombu-3.0.24-10.pulp.el6.noarch                   67/74 
  Cleanup    : python-amqp-1.4.6-1.el6.noarch                             68/74 
  Cleanup    : python-gofer-2.6.6-2.el6.noarch                            69/74 
  Cleanup    : python-pulp-common-2.7.1-1.el6.noarch                      70/74 
  Cleanup    : python-bson-2.7.2-1.el6.x86_64                             71/74 
  Cleanup    : python-nectar-1.3.3-1.el6.noarch                           72/74 
  Erasing    : python-semantic-version-2.2.0-3.el6.noarch                 73/74 
  Cleanup    : pulp-selinux-2.7.1-1.el6.noarch                            74/74 
[Errno 111] Connection refused
  Verifying  : python-pymongo-gridfs-3.2-1.el6.x86_64                      1/74 
  Verifying  : python-semantic_version-2.2.0-6.el6.noarch                  2/74 
  Verifying  : 1:python-kombu-3.0.33-4.pulp.el6.noarch                     3/74 
  Verifying  : python-requests-toolbelt-0.6.0-1.el6.noarch                 4/74 
  Verifying  : python-gofer-qpid-2.7.5-1.el6.noarch                        5/74 
  Verifying  : pulp-docker-plugins-2.0.0-0.7.beta.el6.noarch               6/74 
  Verifying  : python-pulp-agent-lib-2.8.0-0.7.beta.el6.noarch             7/74 
  Verifying  : python-pulp-rpm-common-2.8.0-0.7.beta.el6.noarch            8/74 
  Verifying  : pulp-puppet-admin-extensions-2.8.0-0.7.beta.el6.noarch      9/74 
  Verifying  : pulp-rpm-admin-extensions-2.8.0-0.7.beta.el6.noarch        10/74 
  Verifying  : pulp-server-2.8.0-0.7.beta.el6.noarch                      11/74 
  Verifying  : python-nectar-1.5.0-1.el6.noarch                           12/74 
  Verifying  : python-pulp-bindings-2.8.0-0.7.beta.el6.noarch             13/74 
  Verifying  : pulp-docker-admin-extensions-2.0.0-0.7.beta.el6.noarch     14/74 
  Verifying  : pulp-consumer-client-2.8.0-0.7.beta.el6.noarch             15/74 
  Verifying  : pulp-puppet-consumer-extensions-2.8.0-0.7.beta.el6.noarc   16/74 
  Verifying  : pulp-rpm-plugins-2.8.0-0.7.beta.el6.noarch                 17/74 
  Verifying  : pulp-selinux-2.8.0-0.7.beta.el6.noarch                     18/74 
  Verifying  : python-pulp-client-lib-2.8.0-0.7.beta.el6.noarch           19/74 
  Verifying  : pulp-puppet-plugins-2.8.0-0.7.beta.el6.noarch              20/74 
  Verifying  : gofer-2.7.5-1.el6.noarch                                   21/74 
  Verifying  : python-bson-3.2-1.el6.x86_64                               22/74 
  Verifying  : python-gofer-2.7.5-1.el6.noarch                            23/74 
  Verifying  : pulp-puppet-handlers-2.8.0-0.7.beta.el6.noarch             24/74 
  Verifying  : pulp-rpm-handlers-2.8.0-0.7.beta.el6.noarch                25/74 
  Verifying  : pulp-rpm-yumplugins-2.8.0-0.7.beta.el6.noarch              26/74 
  Verifying  : pulp-rpm-consumer-extensions-2.8.0-0.7.beta.el6.noarch     27/74 
  Verifying  : python-pulp-common-2.8.0-0.7.beta.el6.noarch               28/74 
  Verifying  : python-pulp-docker-common-2.0.0-0.7.beta.el6.noarch        29/74 
  Verifying  : pulp-agent-2.8.0-0.7.beta.el6.noarch                       30/74 
  Verifying  : python-amqp-1.4.9-1.el6.noarch                             31/74 
  Verifying  : python-pulp-repoauth-2.8.0-0.7.beta.el6.noarch             32/74 
  Verifying  : python-mongoengine-0.10.5-1.el6.noarch                     33/74 
  Verifying  : python-pulp-puppet-common-2.8.0-0.7.beta.el6.noarch        34/74 
  Verifying  : mod_xsendfile-0.12-3.el6.x86_64                            35/74 
  Verifying  : python-pymongo-3.2-1.el6.x86_64                            36/74 
  Verifying  : pulp-admin-client-2.8.0-0.7.beta.el6.noarch                37/74 
  Verifying  : python-pulp-oid_validation-2.8.0-0.7.beta.el6.noarch       38/74 
  Verifying  : python-pulp-oid_validation-2.7.1-1.el6.noarch              39/74 
  Verifying  : python-mongoengine-0.9.0-1.el6.noarch                      40/74 
  Verifying  : pulp-selinux-2.7.1-1.el6.noarch                            41/74 
  Verifying  : python-bson-2.7.2-1.el6.x86_64                             42/74 
  Verifying  : python-semantic-version-2.2.0-3.el6.noarch                 43/74 
  Verifying  : python-pulp-puppet-common-2.7.1-1.el6.noarch               44/74 
  Verifying  : python-pymongo-2.7.2-1.el6.x86_64                          45/74 
  Verifying  : pulp-puppet-plugins-2.7.1-1.el6.noarch                     46/74 
  Verifying  : pulp-rpm-plugins-2.7.1-1.el6.noarch                        47/74 
  Verifying  : python-gofer-qpid-2.6.6-2.el6.noarch                       48/74 
  Verifying  : pulp-rpm-admin-extensions-2.7.1-1.el6.noarch               49/74 
  Verifying  : gofer-2.6.6-2.el6.noarch                                   50/74 
  Verifying  : python-pulp-agent-lib-2.7.1-1.el6.noarch                   51/74 
  Verifying  : pulp-docker-plugins-1.0.2-1.el6.noarch                     52/74 
  Verifying  : python-pulp-rpm-common-2.7.1-1.el6.noarch                  53/74 
  Verifying  : python-pulp-bindings-2.7.1-1.el6.noarch                    54/74 
  Verifying  : pulp-rpm-consumer-extensions-2.7.1-1.el6.noarch            55/74 
  Verifying  : pulp-puppet-handlers-2.7.1-1.el6.noarch                    56/74 
  Verifying  : pulp-puppet-consumer-extensions-2.7.1-1.el6.noarch         57/74 
  Verifying  : pulp-consumer-client-2.7.1-1.el6.noarch                    58/74 
  Verifying  : 1:python-kombu-3.0.24-10.pulp.el6.noarch                   59/74 
  Verifying  : pulp-rpm-handlers-2.7.1-1.el6.noarch                       60/74 
  Verifying  : pulp-admin-client-2.7.1-1.el6.noarch                       61/74 
  Verifying  : python-amqp-1.4.6-1.el6.noarch                             62/74 
  Verifying  : python-nectar-1.3.3-1.el6.noarch                           63/74 
  Verifying  : python-pulp-client-lib-2.7.1-1.el6.noarch                  64/74 
  Verifying  : python-pulp-repoauth-2.7.1-1.el6.noarch                    65/74 
  Verifying  : pulp-server-2.7.1-1.el6.noarch                             66/74 
  Verifying  : pulp-docker-admin-extensions-1.0.2-1.el6.noarch            67/74 
  Verifying  : pulp-agent-2.7.1-1.el6.noarch                              68/74 
  Verifying  : python-pymongo-gridfs-2.7.2-1.el6.x86_64                   69/74 
  Verifying  : python-pulp-common-2.7.1-1.el6.noarch                      70/74 
  Verifying  : pulp-puppet-admin-extensions-2.7.1-1.el6.noarch            71/74 
  Verifying  : python-pulp-docker-common-1.0.2-1.el6.noarch               72/74 
  Verifying  : pulp-rpm-yumplugins-2.7.1-1.el6.noarch                     73/74 
  Verifying  : python-gofer-2.6.6-2.el6.noarch                            74/74 

Installed:
  python-semantic_version.noarch 0:2.2.0-6.el6                                  

Dependency Installed:
  mod_xsendfile.x86_64 0:0.12-3.el6                                             
  python-requests-toolbelt.noarch 0:0.6.0-1.el6                                 

Updated:
  gofer.noarch 0:2.7.5-1.el6                                                    
  pulp-admin-client.noarch 0:2.8.0-0.7.beta.el6                                 
  pulp-agent.noarch 0:2.8.0-0.7.beta.el6                                        
  pulp-consumer-client.noarch 0:2.8.0-0.7.beta.el6                              
  pulp-docker-admin-extensions.noarch 0:2.0.0-0.7.beta.el6                      
  pulp-docker-plugins.noarch 0:2.0.0-0.7.beta.el6                               
  pulp-puppet-admin-extensions.noarch 0:2.8.0-0.7.beta.el6                      
  pulp-puppet-consumer-extensions.noarch 0:2.8.0-0.7.beta.el6                   
  pulp-puppet-handlers.noarch 0:2.8.0-0.7.beta.el6                              
  pulp-puppet-plugins.noarch 0:2.8.0-0.7.beta.el6                               
  pulp-rpm-admin-extensions.noarch 0:2.8.0-0.7.beta.el6                         
  pulp-rpm-consumer-extensions.noarch 0:2.8.0-0.7.beta.el6                      
  pulp-rpm-handlers.noarch 0:2.8.0-0.7.beta.el6                                 
  pulp-rpm-plugins.noarch 0:2.8.0-0.7.beta.el6                                  
  pulp-rpm-yumplugins.noarch 0:2.8.0-0.7.beta.el6                               
  pulp-selinux.noarch 0:2.8.0-0.7.beta.el6                                      
  pulp-server.noarch 0:2.8.0-0.7.beta.el6                                       
  python-amqp.noarch 0:1.4.9-1.el6                                              
  python-bson.x86_64 0:3.2-1.el6                                                
  python-gofer.noarch 0:2.7.5-1.el6                                             
  python-gofer-qpid.noarch 0:2.7.5-1.el6                                        
  python-kombu.noarch 1:3.0.33-4.pulp.el6                                       
  python-mongoengine.noarch 0:0.10.5-1.el6                                      
  python-nectar.noarch 0:1.5.0-1.el6                                            
  python-pulp-agent-lib.noarch 0:2.8.0-0.7.beta.el6                             
  python-pulp-bindings.noarch 0:2.8.0-0.7.beta.el6                              
  python-pulp-client-lib.noarch 0:2.8.0-0.7.beta.el6                            
  python-pulp-common.noarch 0:2.8.0-0.7.beta.el6                                
  python-pulp-docker-common.noarch 0:2.0.0-0.7.beta.el6                         
  python-pulp-oid_validation.noarch 0:2.8.0-0.7.beta.el6                        
  python-pulp-puppet-common.noarch 0:2.8.0-0.7.beta.el6                         
  python-pulp-repoauth.noarch 0:2.8.0-0.7.beta.el6                              
  python-pulp-rpm-common.noarch 0:2.8.0-0.7.beta.el6                            
  python-pymongo.x86_64 0:3.2-1.el6                                             
  python-pymongo-gridfs.x86_64 0:3.2-1.el6                                      

Replaced:
  python-semantic-version.noarch 0:2.2.0-3.el6                                  

Complete!
[root@rhsm-jenkins ~]# sudo -u apache pulp-manage-db
Attempting to connect to localhost:27017
Attempting to connect to localhost:27017
Write concern for Mongo connection: {}
/usr/lib/python2.6/site-packages/pulp/server/db/connection.py:159: DeprecationWarning: add_son_manipulator is deprecated
  _DATABASE.add_son_manipulator(NamespaceInjector())
Loading content types.
Loading type descriptors []
Parsing type descriptors
Validating type descriptor syntactic integrity
Validating type descriptor semantic integrity
Loading unit model: puppet_module = pulp_puppet.plugins.db.models:Module
Loading unit model: erratum = pulp_rpm.plugins.db.models:Errata
Loading unit model: distribution = pulp_rpm.plugins.db.models:Distribution
Loading unit model: package_group = pulp_rpm.plugins.db.models:PackageGroup
Loading unit model: package_category = pulp_rpm.plugins.db.models:PackageCategory
Loading unit model: iso = pulp_rpm.plugins.db.models:ISO
Loading unit model: package_environment = pulp_rpm.plugins.db.models:PackageEnvironment
Loading unit model: drpm = pulp_rpm.plugins.db.models:DRPM
Loading unit model: srpm = pulp_rpm.plugins.db.models:SRPM
Loading unit model: rpm = pulp_rpm.plugins.db.models:RPM
Loading unit model: yum_repo_metadata_file = pulp_rpm.plugins.db.models:YumMetadataFile
Loading unit model: docker_blob = pulp_docker.plugins.models:Blob
Loading unit model: docker_manifest = pulp_docker.plugins.models:Manifest
Loading unit model: docker_image = pulp_docker.plugins.models:Image
Loading unit model: docker_tag = pulp_docker.plugins.models:Tag
Updating the database with types []
/usr/lib/python2.6/site-packages/pulp/server/db/model/base.py:96: DeprecationWarning: ensure_index is deprecated. Use create_index instead.
  unique=unique, background=True)
Found the following type definitions that were not present in the update collection [puppet_module, erratum, srpm, package_group, package_category, iso, package_environment, drpm, distribution, rpm, yum_repo_metadata_file, docker_image]
Updating the database with types [puppet_module, docker_tag, erratum, docker_blob, docker_manifest, yum_repo_metadata_file, package_group, package_category, iso, package_environment, drpm, distribution, rpm, srpm, docker_image]
/usr/lib/python2.6/site-packages/pulp/plugins/types/database.py:277: DeprecationWarning: save is deprecated. Use insert_one or replace_one instead
  content_type_collection.save(content_type)
Content types loaded.
Ensuring the admin role and user are in place.
Admin role and user are in place.
Beginning database migrations.
/usr/lib/python2.6/site-packages/mongoengine/document.py:324: DeprecationWarning: save is deprecated. Use insert_one or replace_one instead
  object_id = collection.save(doc, **write_concern)
Applying pulp.server.db.migrations version 19
/usr/lib/python2.6/site-packages/pulp/server/db/migrations/0019_repo_collection_id.py:19: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "repo_id"}}, multi=True)
/usr/lib/python2.6/site-packages/mongoengine/document.py:367: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  upsert=upsert, **write_concern)
Migration to pulp.server.db.migrations version 19 complete.
Applying pulp.server.db.migrations version 20
Migration to pulp.server.db.migrations version 20 complete.
Applying pulp.server.db.migrations version 21
/usr/lib/python2.6/site-packages/pulp/server/db/migrations/0021_remove_extra_importer_fields.py:18: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$unset": {"id": True}}, multi=True)
/usr/lib/python2.6/site-packages/pulp/server/db/migrations/0021_remove_extra_importer_fields.py:20: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$unset": {"scheduled_syncs": ""}}, multi=True)
Migration to pulp.server.db.migrations version 21 complete.
Applying pulp.server.db.migrations version 22
/usr/lib/python2.6/site-packages/pulp/server/db/migrations/0022_distributor_collection_trim.py:19: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "distributor_id"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp/server/db/migrations/0022_distributor_collection_trim.py:20: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$unset": {"scheduled_publishes": ""}}, multi=True)
Migration to pulp.server.db.migrations version 22 complete.
Applying pulp_docker.plugins.migrations version 1
Migration to pulp_docker.plugins.migrations version 1 complete.
Applying pulp_puppet.plugins.migrations version 3
Migration to pulp_puppet.plugins.migrations version 3 complete.
Applying pulp_rpm.plugins.migrations version 22
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:31: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "distribution_id"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:35: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "errata_id"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:36: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"from": "errata_from"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:41: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "package_group_id"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:46: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "package_category_id"}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0022_rename_unit_id_fields.py:51: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({}, {"$rename": {"id": "package_environment_id"}}, multi=True)
Migration to pulp_rpm.plugins.migrations version 22 complete.
Applying pulp_rpm.plugins.migrations version 23
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0023_fix_translated_fields_type.py:19: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  collection.update({"translated_name": ""}, {'$set': {'translated_name': {}}}, multi=True)
/usr/lib/python2.6/site-packages/pulp_rpm/plugins/migrations/0023_fix_translated_fields_type.py:23: DeprecationWarning: update is deprecated. Use replace_one, update_one or update_many instead.
  multi=True
Migration to pulp_rpm.plugins.migrations version 23 complete.
Applying pulp_rpm.plugins.migrations version 24
Migration to pulp_rpm.plugins.migrations version 24 complete.
Applying pulp_rpm.plugins.migrations version 25
Migration to pulp_rpm.plugins.migrations version 25 complete.
Loading unit model: puppet_module = pulp_puppet.plugins.db.models:Module
Loading unit model: erratum = pulp_rpm.plugins.db.models:Errata
Loading unit model: distribution = pulp_rpm.plugins.db.models:Distribution
Loading unit model: package_group = pulp_rpm.plugins.db.models:PackageGroup
Loading unit model: package_category = pulp_rpm.plugins.db.models:PackageCategory
Loading unit model: iso = pulp_rpm.plugins.db.models:ISO
Loading unit model: package_environment = pulp_rpm.plugins.db.models:PackageEnvironment
Loading unit model: drpm = pulp_rpm.plugins.db.models:DRPM
Loading unit model: srpm = pulp_rpm.plugins.db.models:SRPM
Loading unit model: rpm = pulp_rpm.plugins.db.models:RPM
Loading unit model: yum_repo_metadata_file = pulp_rpm.plugins.db.models:YumMetadataFile
Loading unit model: docker_blob = pulp_docker.plugins.models:Blob
Loading unit model: docker_manifest = pulp_docker.plugins.models:Manifest
Loading unit model: docker_image = pulp_docker.plugins.models:Image
Loading unit model: docker_tag = pulp_docker.plugins.models:Tag
Database migrations complete.
[root@rhsm-jenkins ~]# for s in {goferd,httpd,pulp_workers,pulp_celerybeat,pulp_resource_manager}; do service $s start; done
Starting goferd[  OK  ]
Starting httpd: [  OK  ]
celery init v10.0.
Using config script: /etc/default/pulp_workers
celery multi v3.1.11 (Cipater)
> Starting nodes...
    > reserved_resource_worker-0@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-1@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-2@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-3@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-4@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-5@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-6@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-7@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-8@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-9@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-10@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-11@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-12@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-13@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-14@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-15@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-16@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-17@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-18@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-19@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-20@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-21@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-22@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
    > reserved_resource_worker-23@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
celery init v10.0.
Using configuration: /etc/default/pulp_workers, /etc/default/pulp_celerybeat
Starting pulp_celerybeat...
celery init v10.0.
Using config script: /etc/default/pulp_resource_manager
celery multi v3.1.11 (Cipater)
> Starting nodes...
    > resource_manager@rhsm-jenkins.lab.eng.rdu.redhat.com: OK
[root@rhsm-jenkins ~]# 
[root@rhsm-jenkins ~]# 

#3 Updated by mhrivnak over 4 years ago

  • Status changed from NEW to ASSIGNED
  • Assignee set to bmbouter
  • Severity changed from 2. Medium to 3. High
  • Platform Release set to 2.8.0
  • Triaged changed from No to Yes

#4 Updated by bmbouter over 4 years ago

  • Status changed from ASSIGNED to POST

#5 Updated by bmbouter over 4 years ago

  • Status changed from POST to MODIFIED
  • % Done changed from 0 to 100

#6 Updated by dkliban@redhat.com over 4 years ago

  • Status changed from MODIFIED to 5

#7 Updated by dkliban@redhat.com over 4 years ago

  • Status changed from 5 to 6

#8 Updated by dkliban@redhat.com over 4 years ago

I verified that this issue goes away after the patch is applied.

#9 Updated by dkliban@redhat.com over 4 years ago

  • Status changed from 6 to CLOSED - CURRENTRELEASE

#11 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF